## org.apache.lucene.codecs.pulsing
Class Pulsing41PostingsFormat

    java.lang.Object
      org.apache.lucene.codecs.PostingsFormat
          org.apache.lucene.codecs.pulsing.PulsingPostingsFormat
              org.apache.lucene.codecs.pulsing.Pulsing41PostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class Pulsing41PostingsFormat

extends PulsingPostingsFormat

Concrete pulsing implementation over `Lucene41PostingsFormat`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.codecs.PostingsFormat
`EMPTY`

Constructor Summary
`Pulsing41PostingsFormat()` Inlines docFreq=1 terms, otherwise uses the normal "Lucene41" format.
`Pulsing41PostingsFormat(int freqCutoff)` Inlines docFreq=`freqCutoff` terms, otherwise uses the normal "Lucene41" format.
`Pulsing41PostingsFormat(int freqCutoff, int minBlockSize, int maxBlockSize)` Inlines docFreq=`freqCutoff` terms, otherwise uses the normal "Lucene41" format.

Method Summary

Methods inherited from class org.apache.lucene.codecs.pulsing.PulsingPostingsFormat
`fieldsConsumer, fieldsProducer, getFreqCutoff, toString`

Methods inherited from class org.apache.lucene.codecs.PostingsFormat
`availablePostingsFormats, forName, getName, reloadPostingsFormats`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Pulsing41PostingsFormat

    public Pulsing41PostingsFormat()

  Inlines docFreq=1 terms, otherwise uses the normal "Lucene41" format.

### Pulsing41PostingsFormat

    public Pulsing41PostingsFormat(int freqCutoff)

  Inlines docFreq=`freqCutoff` terms, otherwise uses the normal "Lucene41" format.

### Pulsing41PostingsFormat

    public Pulsing41PostingsFormat(int freqCutoff,
                                   int minBlockSize,
                                   int maxBlockSize)

  Inlines docFreq=`freqCutoff` terms, otherwise uses the normal "Lucene41" format.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.